Bug 44204 - Can't deselect listboxes with Opera 5.11
Can't deselect listboxes with Opera 5.11
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
i386 Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
ambiguous HTML
Depends On:
  Show dependency treegraph
Reported: 2001-06-12 01:48 EDT by kenneth_porter
Modified: 2013-06-23 23:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-17 16:46:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kenneth_porter 2001-06-12 01:48:15 EDT
This is probably an Opera bug, but it would be nice to have a Bugzilla workaround.

Using Opera 5.11 under WinNT4SP6a.

On the Bugzilla query page, I can't deselect all items in a listbox, so I can't create queries that ignore some fields. Opera opens the page with 
the first item in all listboxes selected.
Comment 1 kenneth_porter 2001-06-28 03:12:02 EDT
Problem continues with today's Opera 5.12.

I researched this a bit at W3C and see in HTML v4 that it's up to the browser vendor what to do when encountering a <SELECT> with no default 
selection. The browser may elect to select the first <OPTION> or none. So I think Bugzilla should provide an "any" or "none" option in all menus where 
appropriate. Reference:


Additionally, the pages lack DTD tags at the top, so I have to guess what DTD to validate against using the W3C validator (http://validator.w3.org/).

I recommend adding a validator button to the bottom of all bugzilla pages so you can quickly check whether you have valid HTML before deployment. An 
example of this button is present at the bottom of the W3C validator page.
Comment 2 David Lawrence 2001-07-05 00:09:38 EDT
What if you use the control-key when selecting a item in the listbox? It should de-select the item. I tried this with Opera 5 for Linux and Mozilla with similar results.
Comment 3 David Lawrence 2006-04-08 13:55:48 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Note You need to log in before you can comment on or make changes to this bug.